=== modified file 'lib/lp/blueprints/model/specification.py'
--- lib/lp/blueprints/model/specification.py	2011-07-21 14:31:14 +0000
+++ lib/lp/blueprints/model/specification.py	2011-07-21 16:01:54 +0000
@@ -94,7 +94,7 @@
     cachedproperty,
     get_property_cache,
     )
-from lp.services.utils import sort_for_display
+
 
 
 def recursive_blocked_query(spec):
@@ -222,7 +222,9 @@
     @cachedproperty
     def subscriptions(self):
         """Sort the subscriptions"""
-        return sort_for_display(self._subscriptions, 'sub.person.displayname')
+        from lp.registry.model.person import person_sort_key
+        return sorted(
+            self._subscriptions, key=lambda sub: person_sort_key(sub.person))
 
     @property
     def target(self):
@@ -561,10 +563,11 @@
             person=person, essential=essential)
         property_cache = get_property_cache(self)
         if 'subscription' in property_cache:
+            from lp.registry.model.person import person_sort_key
             property_cache.subscriptions.append(sub)
             property_cache.subscriptions.sort(
-                key=lambda sub: sub.person.displayname.lower())
-        notify(ObjectCreatedEvent(sub, user=user))
+                key=lambda sub: person_sort_key(sub.person))
+        notify(ObjectCreatedEvent(sub, user=subscribed_by))
         return sub
 
     def unsubscribe(self, person, unsubscribed_by):

=== modified file 'lib/lp/services/utils.py'
--- lib/lp/services/utils.py	2011-07-21 14:31:14 +0000
+++ lib/lp/services/utils.py	2011-07-21 16:01:54 +0000
@@ -333,11 +333,3 @@
     text = text.replace(
         "<<email address hidden>>", "<email address hidden>")
     return text
-
-def sort_for_display(item_list, display_attribute='displayname'):
-    """Sort a list by a given attribute
-    
-    Returns sorted list of item_list by lower casee of display_attribute
-    """
-    return sorted(item_list,
-        key=lambda x: getattr(x, display_attribute).lower())

